final-compile-with-warnings:gcc -Wall -g3 -o main main.c stream.c
final-compile:gcc -g3 -o main main.c stream.c
final-string:echo '"abcdefghijklm"' | ./main 50 -100000 50 -100000
final-interleave:echo 'x"abcd""-=:"' | ./main 50 -100000 50 -100000
final-plus:echo '+"0123456"' | ./main 50 -100000 50 -100000
final-ruler:echo 'x" "x"."x":"x"!""|#/"' | ./main 100 -100000 100 -100000
final-complicated:echo '+x+++++"012"++x"ab"+x"""CD"' | ./main 50 -100000 50 -100000
final-long:echo '+x"abc""12"' | ./main 50 -100000000 50
final-primes:echo 'x"12"x"123"x"12345"x"1234567"x"123456789abcd"x"123456789abcdefgh"x"123456789abcdefghij"x"123456789abcdefghijklmn""123456789abcdefghijklmnopqrst"' | ./main 50 -100000
final-valgrind:echo '+x+++++"012"++x"ab"+"CDE"' | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./main 50 -1000
